using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFPageChartMap : APTEntityBaseMap<T_PF_PAGE_CHART>
	{
		public override void Configure(EntityTypeBuilder<T_PF_PAGE_CHART> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.CODE).HasMaxLength(200);
			builder.Property(t => t.LABEL).HasMaxLength(200);
			builder.Property(t => t.API_URL).HasMaxLength(200); 

			builder.HasOne(t => t.Nav_PageForm).WithMany().
					HasForeignKey(t => t.PAGE_FORM_ID);
		} 
	}
}
